import { ScheduleItemProps } from './value-objects/schedule-item.value-object';
import { WaypointProps } from './value-objects/waypoint.value-object';

// All properties that an Ad has
export interface AdProps {
  userId: string;
  driver: boolean;
  status: Status;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: WaypointProps[];
  comment?: string;
}

// Properties that are needed for an Ad creation
export interface CreateAdProps {
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: WaypointProps[];
  comment?: string;
}

export enum Frequency {
  PUNCTUAL = 'PUNCTUAL',
  RECURRENT = 'RECURRENT',
}

export enum Status {
  PENDING = 'PENDING',
  VALID = 'VALID',
  INVALID = 'INVALID',
  SUSPENDED = 'SUSPENDED',
}
